Debian Bug report logs - #468696
x86info: FTBFS on hurd-i386

version graph

Package: x86info; Maintainer for x86info is Mark Brown <broonie@debian.org>; Source for x86info is src:x86info.

Reported by: svante.signell@gmail.com

Date: Fri, 29 Feb 2008 23:30:02 UTC

Severity: wishlist

Tags: patch

Merged with 611456

Found in versions x86info/1.21-1, x86info/1.25-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#468696; Package x86info. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
New Bug report received and forwarded. Copy sent to Mark Brown <broonie@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: submit@bugs.debian.org
Subject: x86info: FTBFS on hurd-i386: not in architecture list
Date: Sat, 1 Mar 2008 00:21:56 +0100
Package: x86info
Version: 1.21-1
Severity: important
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

x86info builds and works fine on hurd-i386, please enable it in the
Architecture: control field.


thanks,

Michael




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468696; Package x86info. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 468696@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Michael Banck <mbanck@debian.org>, 468696@bugs.debian.org
Subject: Re: Bug#468696: x86info: FTBFS on hurd-i386: not in architecture list
Date: Sat, 1 Mar 2008 10:42:38 +0000
severity 468696 wishlist
kthxbye

On Sat, Mar 01, 2008 at 12:21:56AM +0100, Michael Banck wrote:

> x86info builds and works fine on hurd-i386, please enable it in the
> Architecture: control field.

There are several parts of the program which require kernel support to
function either at all or reliably, especially on multi-processor and
multi-core systems.  These provide access to CPUID and MSR information -
the former is more important than the latter.  Are these features
supported on hurd?

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."




Severity set to `wishlist' from `important' Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Sat, 01 Mar 2008 10:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468696; Package x86info. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 468696@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Michael Banck <mbanck@debian.org>, 468696@bugs.debian.org
Subject: Re: Bug#468696: x86info: FTBFS on hurd-i386: not in architecture list
Date: Sat, 1 Mar 2008 15:33:11 +0000
On Sat, Mar 01, 2008 at 12:21:56AM +0100, Michael Banck wrote:

> x86info builds and works fine on hurd-i386, please enable it in the
> Architecture: control field.

Following off-line discussion with Michael it appears that since Hurd
does not yet support multiple CPUs all the porting that is *required* is
to stub out the processor enumeration and MSR access code.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."




Merged 468696 611456. Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Thu, 17 Mar 2011 21:42:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Thu, 17 Mar 2011 22:21:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Sat, 19 Mar 2011 13:18:08 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Mark Brown <broonie@opensource.wolfsonmicro.com> to control@bugs.debian.org. (Sun, 20 May 2012 15:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#468696; Package x86info. (Tue, 05 Jun 2012 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Tue, 05 Jun 2012 09:51:10 GMT) Full text and rfc822 format available.

Message #30 received at 468696@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 468696@bugs.debian.org
Cc: control <control@bugs.debian.org>, davej@redhat.com
Subject: Updated patch for x86info-1.30
Date: Tue, 05 Jun 2012 11:46:14 +0200
[Message part 1 (text/plain, inline)]
retitle 468696 x86info: FTBFS on hurd-i386
tags 468696 patch
severity 468696 important
thanks

Hello,

With the new release of x86info the previously attached patch does not
work any longer. Attached is a new patch which works well for GNU/Hurd.
 
The patch adds a GNU specific path of supported parts for GNU/Hurd in
cpuid.c and adds hurd-i386 to the control field. The last change embeds
the creation of /dev/cpu to the GNU/Linux architecture only.
 
Attached is also the output of the patched version using the --all
switch run from a kvm guest, identifying itself as a qemu64 CPU with a
amd64 host.

A Cc: is sent to upstream to figure out the interest of adding support
for GNU/Hurd in this package. The upstream changes are solely in in
cpuid.c, the rest is Debian specific.
[fix_FTBFS4Hurd.patch (text/x-patch, attachment)]
[x86info--all.out (text/plain, attachment)]

Changed Bug title to 'x86info: FTBFS on hurd-i386' from 'x86info: FTBFS on hurd-i386: not in architecture list' Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Tue, 05 Jun 2012 09:51:15 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Tue, 05 Jun 2012 09:51:16 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Tue, 05 Jun 2012 09:51:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468696; Package x86info. (Tue, 05 Jun 2012 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Tue, 05 Jun 2012 10:09:04 GMT) Full text and rfc822 format available.

Message #41 received at 468696@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Svante Signell <svante.signell@telia.com>, 468696@bugs.debian.org
Cc: control <control@bugs.debian.org>, davej@redhat.com
Subject: Re: Bug#468696: Updated patch for x86info-1.30
Date: Tue, 5 Jun 2012 11:06:49 +0100
severity 468696 wishlist
kthxbye

On Tue, Jun 05, 2012 at 11:46:14AM +0200, Svante Signell wrote:

> severity 468696 important

Please stop doing this, it's just annoying.

> A Cc: is sent to upstream to figure out the interest of adding support
> for GNU/Hurd in this package. The upstream changes are solely in in
> cpuid.c, the rest is Debian specific.

I've not got any real intention of applying this as a Debian local patch
unless Hurd becomes a release architecture.  Obviously if it's merged
upstream that's fine.




Severity set to 'wishlist' from 'important' Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 10:09:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#468696; Package x86info. (Fri, 07 Sep 2012 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Fri, 07 Sep 2012 15:27:03 GMT) Full text and rfc822 format available.

Message #48 received at 468696@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: debian-hurd <debian-hurd@lists.debian.org>
Cc: 468696@bugs.debian.org, davej@redhat.com
Subject: Updated patch for x86info
Date: Fri, 07 Sep 2012 17:19:37 +0200
[Message part 1 (text/plain, inline)]
Hello,

Attached is an updated patch to make x86info functional with GNU/Hurd.
The only difference with the previous patch is in the debian/control
file to make it installable on a Hurd system where makedev and udev are
not available. As promised by Samuel Thibault this package will be
hosted at deban-ports, since the Debian maintainer refuses to accept
patches regarding non-released architectures, unless upstream is merging
it. 

When patches for atlas have been accepted, x86info will the a build
dependency for that package to estimate CPU-specific information, such
as clock speed, number of processor threads, etc.

A Cc: is sent to upstream to figure out the interest of adding support
for GNU/Hurd in this package. The upstream changes are solely in
cpuid.c, the rest is Debian specific.

Thanks!
[fix_FTBFS4Hurd.patch (text/x-patch, attachment)]

Changed Bug submitter to 'svante.signell@gmail.com' from 'Michael Banck <mbanck@debian.org>' Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Sat, 11 May 2013 21:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468696; Package x86info. (Sun, 12 May 2013 14:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Sun, 12 May 2013 14:39:09 GMT) Full text and rfc822 format available.

Message #55 received at 468696@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Debian Bug Tracking System <owner@bugs.debian.org>
Cc: svante.signell@gmail.com, 468696@bugs.debian.org
Subject: Re: Processed: New submitter email
Date: Sun, 12 May 2013 18:35:05 +0400
[Message part 1 (text/plain, inline)]
On Sat, May 11, 2013 at 09:45:08PM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:

> > submitter 468696 svante.signell@gmail.com
> Bug #468696 [x86info] x86info: FTBFS on hurd-i386
> Bug #611456 [x86info] x86info: FTBFS on hurd-i386
> Changed Bug submitter to 'svante.signell@gmail.com' from 'Michael Banck <mbanck@debian.org>'

Uh, what?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#468696; Package x86info. (Sun, 12 May 2013 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 12 May 2013 22:03:09 GMT) Full text and rfc822 format available.

Message #60 received at 468696@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@gmail.com>
To: Mark Brown <broonie@debian.org>
Cc: Debian Bug Tracking System <owner@bugs.debian.org>, 468696@bugs.debian.org, Michael Banck <mbanck@debian.org>
Subject: Re: Processed: New submitter email
Date: Mon, 13 May 2013 00:00:31 +0200
On Sun, 2013-05-12 at 18:35 +0400, Mark Brown wrote:
> On Sat, May 11, 2013 at 09:45:08PM +0000, Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
> 
> > > submitter 468696 svante.signell@gmail.com
> > Bug #468696 [x86info] x86info: FTBFS on hurd-i386
> > Bug #611456 [x86info] x86info: FTBFS on hurd-i386
> > Changed Bug submitter to 'svante.signell@gmail.com' from 'Michael Banck <mbanck@debian.org>'
> 
> Uh, what?

Sorry, I was changing my email address from telia.com to gmail.com for
my submitted bugs, and accidentally did not observe that Michael Bank
was the original bug submitter for #468696 back in 2008. Since 2011 I
have been doing the patches for this package, in bug #611456 to start
with, and then #468696. The two bug reports were merged by you in 2011.
Do whatever you like, change back if you feel for it. Michael, any
preferences?




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:03:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.